package com.jay.monitor.data.client.config;

import com.jay.monitor.data.client.ext.kafka.KafkaMonitorProducer;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.kafka.support.ProducerListener;

/**
 * @Module 配置类
 * @Description 相关kafka配置
 * @Author liukaixiong
 * @Date 2020/11/19 14:17
 */
@Configuration
public class KafkaMonitorAutoConfiguration {

    @Bean
    @ConditionalOnClass(value = {KafkaTemplate.class, ProducerListener.class})
    public KafkaMonitorProducer kafkaMonitorProducer() {
        return new KafkaMonitorProducer();
    }

}
