package com.jay.monitor.data.server.controllers;

import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.server.store.StoreDataManager;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author ： liukx
 * @describe ：首页
 * @time ： 2019/3/1 - 16:31
 */
@Controller
@RequestMapping(value = "/api")
public class ApiController {
    private SimpleDateFormat sdf = new SimpleDateFormat("yyMMdd");

    @Autowired
    private StoreDataManager storeDataManager;

    @RequestMapping(value = "/log/mq", method = RequestMethod.GET, produces = "application/json; charset=utf-8")
    @ResponseBody
    public String searchMqIdLog(@RequestParam(value = "date", required = false) String date, @RequestParam("id") String id) throws Exception {
        if (StringUtils.isEmpty(date)) {
            date = sdf.format(new Date());
        }
        return storeDataManager.selectContentById(MsgTypeEnums.MQ, date, id);
    }

    @RequestMapping(value = "/log/url", method = RequestMethod.GET, produces = "application/json; charset=utf-8")
    @ResponseBody
    public String searchUrlIdLog(@RequestParam(value = "date", required = false) String date, @RequestParam("id") String id) throws Exception {
        if (StringUtils.isEmpty(date)) {
            date = sdf.format(new Date());
        }
        return storeDataManager.selectContentById(MsgTypeEnums.URL, date, id);
    }
}
